/* CSS */


/*Centrar cuadro*/

@font-face {
    font-family: 'lato';
    src: url("../fonts/lato/Lato-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal
}

@font-face {
    font-family: 'lato_bold';
    src: url("../fonts/lato/Lato-Bold.ttf") format("truetype");
    font-weight: normal;
    font-style: normal
}

@font-face {
    font-family: 'lato_medium';
    src: url("../fonts/lato/Lato-Medium.ttf") format("truetype");
    font-weight: normal;
    font-style: normal
}

@font-face {
    font-family: 'lato_semibold';
    src: url("../fonts/lato/Lato-SemiBold.ttf") format("truetype");
    font-weight: normal;
    font-style: normal
}

@font-face {
    font-family: 'ChaletComprime';
    src: url("../fonts/ChaletComprime-CologneEighty/chaletcomprime-cologneeighty.ttf") format("truetype");
    font-weight: normal;
    font-style: normal
}


/*
@font-face {
    font-family: 'Raleway-regular';
    src: url("../fonts/raleway/Raleway-Regular.ttf") format("truetype");
    font-weight: normal;
    font-style: normal
}

@font-face {
    font-family: 'Raleway-bold';
    src: url("../fonts/raleway/Raleway-Bold.ttf") format("truetype");
    font-weight: normal;
    font-style: normal
}
*/

@font-face {
    font-family: 'rocablack';
    src: url("../fonts/roca-black/roca_black-webfont.eot");
    src: url("../fonts/roca-black/roca_black-webfont.eot?#iefix") format("embedded-opentype"), url("../fonts/roca-black/roca_black-webfont.woff2") format("woff2"), url("../fonts/roca-black/roca_black-webfont.woff") format("woff"), url("../fonts/roca-black/roca_black-webfont.ttf") format("truetype"), url("../fonts/roca-black/roca_black-webfont.svg#rocablack") format("svg");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'HelveticaNeueLTW01-75Bold';
    src: url('../fonts/roboto/Roboto-Bold.eot');
    src: url('../fonts/roboto/Roboto-Bold.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto/Roboto-Bold.woff2') format('woff2'), url('../fonts/roboto/Roboto-Bold.woff') format('woff'), url('../fonts/roboto/Roboto-Bold.ttf') format('truetype'), url('../fonts/roboto/Roboto-Bold.svg#Roboto-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto-Bold';
    src: url('../fonts/roboto/Roboto-Bold.eot');
    src: url('../fonts/roboto/Roboto-Bold.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto/Roboto-Bold.woff2') format('woff2'), url('../fonts/roboto/Roboto-Bold.woff') format('woff'), url('../fonts/roboto/Roboto-Bold.ttf') format('truetype'), url('../fonts/roboto/Roboto-Bold.svg#Roboto-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'HelveticaNeueLTW01-45Light';
    src: url('../fonts/roboto/Roboto-Light.eot');
    src: url('../fonts/roboto/Roboto-Light.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto/Roboto-Light.woff2') format('woff2'), url('../fonts/roboto/Roboto-Light.woff') format('woff'), url('../fonts/roboto/Roboto-Light.ttf') format('truetype'), url('../fonts/roboto/Roboto-Light.svg#Roboto-Light') format('svg');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto-Light';
    src: url('../fonts/roboto/Roboto-Light.eot');
    src: url('../fonts/roboto/Roboto-Light.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto/Roboto-Light.woff2') format('woff2'), url('../fonts/roboto/Roboto-Light.woff') format('woff'), url('../fonts/roboto/Roboto-Light.ttf') format('truetype'), url('../fonts/roboto/Roboto-Light.svg#Roboto-Light') format('svg');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto-Regular';
    src: url('../fonts/roboto/Roboto-Regular.eot');
    src: url('../fonts/roboto/Roboto-Regular.eot?#iefix') format('embedded-opentype'), url('../fonts/roboto/Roboto-Regular.woff2') format('woff2'), url('../fonts/roboto/Roboto-Regular.woff') format('woff'), url('../fonts/roboto/Roboto-Regular.ttf') format('truetype'), url('../fonts/roboto/Roboto-Regular.svg#Roboto-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
}

:root {
    --primary-font: "lato", Helvetica, Arial, sans-serif;
    --primary-font-size: 12px;
    --primary-font-weight: 600;
    --primary-font-color: #fff;
    --secondary-font-color: #676a6c;
    --primary-link-color: #00675a;
    --primary-border-color: #1c84c6;
    --primary-background-color: #61c250;
    --primary-background-color-hover: #999;
}

body {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 0px;
    margin-top: 70px;
    font-family: "lato", Helvetica, Arial, sans-serif!important;
}

.login-pf body {
    background: #f3f3f4;
    width: 300px;
    max-width: 400px;
}

.login-pf30 body {
    background: #ffffff;
    width: 100%;
    max-width: 100%;
    margin-top: 0px;
    display: inline-block;
}

#kc-reset-password-form {
    padding-bottom: -100px;
    max-width: 100%;
}

#kc-passwd-update-form {
    max-width: 100%;
}

@media (min-width: 993px) {
    #kc-reset-password-form {
        max-width: 50%;
    }
    #kc-passwd-update-form {
        max-width: 50%;
    }
}

#kc-form-buttons {
    margin-top: 0px;
}

#kc-form-buttons2 {
    margin-top: -20px;
}

.card-pf {
    background: #f3f3f4;
    padding-top: 5px;
    margin-top: 35px;
    padding-bottom: 5px;
}

.login-pf-page30 {
    width: 100%;
    height: 70%;
}

.login-pf-header30 {
    height: 80px;
    padding-left: 15px;
    padding-right: 15px;
}

#kc-content2 {
    /* display:flex;*/
    margin-top: -12px;
    padding-left: 15px;
    padding-right: 15px;
}

#kc-content-wrapper2 {
    width: 100%;
}

.card-pf30 {
    /*  background: #f4f5f5; */
    padding-top: 5px;
    padding-bottom: 5px;
}

h2,
h3,
h4 {
    text-align: center;
    color: var(--secondary-font-color);
    font-family: var(--primary-font);
}

div#kc-header {
    width: 100%;
    font-family: var(--primary-font);
}

#kc-page-title {
    font-family: var(--primary-font);
    font-size: var(--primary-font-size);
    color: var(--secondary-font-color);
    text-align: center;
}

#kc-page-title2 {
    font-family: var(--primary-font);
    font-size: var(--primary-font-size);
    color: var(--secondary-font-color);
    text-align: center;
}

#kc-locale {
    /*selector de idiomas*/
    top: -120px;
}


/*
#kc-social-providers{
    top: 500px;
}
*/

.wlcm {
    margin-top: -160px;
    margin-bottom: 80px;
    padding: 10px;
}

.mensaje_bienvenida {
    margin-left: 5px;
    margin-bottom: 20px;
}

.mensaje_bienvenida30 {
    margin-bottom: 20px;
}


/*Cuadros de texto y placeholders*/

input[type=text],
input[type=password],
select#country_selector,
select#preferred_language_selector {
    margin: 0px;
    height: 36px;
    background: var(--primary-background-color);
    border: 1px solid #cccccc;
    border-radius: 3px;
    padding: 0px 30px 0px 10px;
    width: 100%;
    background-color: #ffffff;
    font-family: 'lato';
    font-size: 14px;
    color: #3e3e3e;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
}


/*Fuente de los placeholders*/

input[type=text]::-webkit-input-placeholder,
input[type=password]::-webkit-input-placeholder {
    font-family: var(--primary-font);
    font-style: normal;
}

.form-group {
    padding-left: 10px;
}

.form-group30-border {
    padding-left: 0px;
    /* border-bottom: 1px solid #000000; */
}

.form-group30-border-last {
    padding-left: 0px;
    /*  border-bottom: 1px solid #000000; */
}

.form-group30 {
    padding-left: 0px;
}

.form-group30-sin-margin {
    padding-left: 0px;
}

div.kc-logo-text {
    background-image: none;
}

div.logo img {
    align-content: center;
    margin-left: 72px;
    width: 140px;
}

.alert.alert-warning {
    margin-left: 10px;
}

p {
    font-family: var(--primary-font);
}

#kc-logo-wrapper {
    background-repeat: no-repeat;
    width: auto;
    height: auto;
    margin: 62px auto 0;
}

#kc-header-wrapper {
    width: 0px;
    height: 0px;
}

#kc-form-login {
    color: var(--primary-font-color);
}

.btn-primary {
    background-image: none;
    background-color: var(--primary-background-color);
    border-color: var(--primary-border-color);
    color: #ffffff;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary {
    background-image: none;
    background-color: var(--primary-background-color);
    border-color: var(--primary-border-color);
}

#form-group {
    padding: 150px;
}

#kc-form-wrapper {
    margin-bottom: 25px;
    width: 260px;
    border-right: none;
}

#kc-form-wrapper30 {
    width: 100%;
    border-right: none;
    padding-left: 15px;
    padding-right: 15px;
}

#kc-social-providers {
    margin-left: 8px;
    width: 220px;
}

#kc-social-providers.social30 {
    margin-left: 0px;
    padding-left: 0px;
    padding-right: 0px;
    width: 100%;
    text-align: center;
}

.login-pf-social-link a {
    background-color: var(--primary-background-color);
    color: #ffffff;
}


/*
.zocial.google, .zocial.facebook, .zocial.keycloak-oidc{
    background-color: #3367d6;
    color: #ffffff;
}
*/

@media (min-width: 993px) {
    .login-pf-page30-recuadro {
        width: 80%;
        border: 1px solid #000;
        margin: auto;
        height: 440px;
    }
    .login-div-derecho .login-pf-page30-recuadro {
        background-color: #EEEEEE;
    }
    .login-div-derecho .card-pf30 {
        background-color: #EEEEEE;
    }
    .card-pf30 {
        margin-top: 35px;
        width: 85%;
    }
    .login-div-izquierdo {
        width: 33%;
        position: relative;
        float: left;
        background: url(../img/image1.jpg) no-repeat;
        background-size: cover;
        background-position: center;
        min-height: -webkit-fill-available;
        height: calc(100vh);
    }
    .login-div-central {
        width: 33%;
        position: relative;
        float: left;
        display: flex;
        justify-content: center;
        align-items: center;
        height: -webkit-fill-available;
        height: calc(100vh);
    }
    .login-div-derecho {
        width: 33%;
        position: relative;
        float: left;
        display: flex;
        justify-content: center;
        align-items: center;
        height: -webkit-fill-available;
        height: calc(100vh);
    }
    .login-div-izquierdo h1 {
        position: absolute;
        bottom: 0;
        width: 100%;
        padding: 0 100px 60px 60px;
        font-family: 'lato';
        font-size: 50px;
        line-height: 70px;
        color: #fff;
    }
    .rrss-social-list {
        display: flex;
    }
    .rrss-social-list li {
        width: 48%;
    }
    .mensaje_bienvenida30 h2 {
        font-size: 15px;
        font-weight: bold;
        line-height: 26px;
        letter-spacing: 1.2px;
    }
    .control-label30 {
        font-size: 10px;
        letter-spacing: 1px;
        line-height: 20px;
    }
    .form-group30-border input[type=text],
    .form-group30-border-last input[type=password] {
        font-size: var(--primary-font-size);
    }
    .form-group30-border {
        margin-bottom: 40px;
    }
    .login-div-derecho .icon-close {
        top: 40px;
        right: 40px;
    }
}

@media (max-width: 992px) {
    .card-pf30 {
        max-width: none;
        margin-left: 20px;
        margin-right: 20px;
        padding: 20px 20px 30px 20px;
    }
    .login-div-izquierdo {
        position: static;
        font-size: 32px;
        line-height: 38px;
        color: #000;
        padding: 0;
        font-weight: 300;
        padding-left: 15px;
        padding-right: 15px;
        margin-top: 40px;
    }
    .login-div-derecho {
        width: 100%;
        position: relative;
        float: left;
    }
    .login-div-central {
        width: 100%;
        position: relative;
        float: left;
    }
    .login-div-izquierdo h1 {
        position: static;
        font-size: 32px;
        line-height: 38px;
        color: #000;
        padding: 0;
        bottom: 0;
        width: 100%;
        font-family: var(--primary-font);
    }
    .rrss-social-list {
        display: inline !important;
    }
    .rrss-social-list li {
        width: 100% !important;
        margin-bottom: 10px !important;
    }
    .mensaje_bienvenida30 h2 {
        font-size: 16px;
        font-weight: bold;
        line-height: 20px;
        letter-spacing: 1.2px;
    }
    .control-label30 {
        font-size: var(--primary-font-size);
        letter-spacing: 1.3px;
        line-height: 18px;
    }
    .form-group30-border input[type=text],
    .form-group30-border-last input[type=password] {
        font-size: var(--primary-font-size);
    }
    .form-group30-border {
        margin-bottom: 20px;
    }
    #kc-form-buttons2 input {
        margin-top: 30px !important;
    }
}

@media (min-width: 431px) and (max-width: 992px) {
    .login-div-derecho .icon-close {
        top: -490px;
        right: 20px;
    }
}

@media (max-width: 430px) {
    .login-div-derecho .icon-close {
        top: -510px;
        right: 20px;
    }
}

.mensaje_bienvenida30 h2 {
    font-family: var(--primary-font);
    font-weight: bold;
    color: #000;
    margin-bottom: 0px;
    margin-top: 0px;
    text-transform: uppercase;
    text-align: left;
}

.control-label30 {
    font-family: var(--primary-font);
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 0;
    color: #777675;
    display: inline-block;
    font-weight: 700;
}


/* Campos de la página de login
.form-group30-border input[type=text],
.form-group30-border-last input[type=password] {
    -moz-appearance: none;
    -webkit-appearance: none;
    display: block;
    width: 100%;
    height: 18px;
    padding: 2px 0;
    background-color: transparent;
    background-image: none;
    border: none;
    border-radius: 0;
    box-shadow: none;
    color: #000000;
    font-family: var(--primary-font);
    line-height: 18px;
    color: #000;
    background-clip: padding-box;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    font-weight: 400;
    overflow: visible;
}
*/

.form-group input[type=text].inputBorder {
    -moz-appearance: none;
    -webkit-appearance: none;
    display: block;
    width: 100%;
    height: 22px;
    padding: 2px 0;
    background-color: transparent;
    background-image: none;
    border: none;
    border-radius: 0;
    box-shadow: none;
    color: #000000;
    font-family: var(--primary-font);
    line-height: 18px;
    color: #000;
    background-clip: padding-box;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    font-weight: 400;
    overflow: visible;
    border-bottom: 1px solid #000000;
    padding-bottom: 12px;
}

.form-group30-border input[type=text]:focus {
    color: #495057;
    background-color: #fff;
    border-color: var(--primary-border-color);
    outline: 0;
    box-shadow: none;
}

.form-group30-border-last input[type=password]:focus {
    color: #495057;
    background-color: #fff;
    border-color: var(--primary-border-color);
    outline: 0;
    box-shadow: none;
}

.form-remember-pass {
    font-family: var(--primary-font);
    font-size: 10px;
    font-weight: bold;
    letter-spacing: 1px;
    line-height: 15px;
    color: var(--primary-link-color);
    padding-top: 8px;
    text-transform: uppercase;
    text-align: left;
}

.form-remember-pass:hover {
    color: var(--secondary-font-color);
}

.div-form-remember-pass {
    margin-bottom: 35px;
    margin-top: 5px;
}

#kc-form-buttons input {
    font-family: var(--primary-font);
    font-size: var(--primary-font-size);
    font-weight: bold;
    letter-spacing: 1.3px;
    line-height: 18px;
    text-transform: uppercase;
    color: var(--primary-font-color);
    background-color: var(--primary-background-color);
    -moz-appearance: none;
    -webkit-appearance: none;
    border: none;
    width: 100%;
    cursor: pointer;
    padding: 30px 40px 30px 43px;
    height: 78px;
    text-align: center;
    display: inline-block;
    transition: background-color 0.75s ease;
    margin-bottom: 30px;
}

#kc-form-buttons2 input {
    font-family: var(--primary-font);
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 1.3px;
    line-height: 18px;
    text-transform: uppercase;
    color: var(--primary-font-color);
    background-color: var(--primary-background-color);
    -moz-appearance: none;
    -webkit-appearance: none;
    border: none;
    width: 100%;
    cursor: pointer;
    padding: 30px 40px 30px 43px;
    height: 78px;
    text-align: center;
    display: inline-block;
    transition: background-color 0.75s ease;
    margin-top: 95px;
    margin-bottom: 30px;
}

#kc-form-buttons-recovery input,
#kc-passwd-update-form-buttons input {
    font-family: var(--primary-font);
    font-size: var(--primary-font-size);
    font-weight: bold;
    letter-spacing: 1.3px;
    line-height: 18px;
    text-transform: uppercase;
    color: var(--primary-font-color);
    background-color: var(--primary-background-color);
    -moz-appearance: none;
    -webkit-appearance: none;
    border: none;
    width: 100%;
    cursor: pointer;
    padding: 30px 40px 30px 43px;
    height: 78px;
    text-align: center;
    display: inline-block;
    transition: background-color 0.75s ease;
    margin-top: 30px;
}

@media (min-width: 993px) {
    #kc-form-buttons-recovery input,
    #kc-passwd-update-form-buttons input {
        max-width: 150px;
    }
}

#kc-form-buttons input:hover,
#kc-form-buttons2 input:hover,
#kc-form-buttons-recovery input:hover,
#kc-passwd-update-form-buttons input:hover {
    background-color: var(--primary-background-color-hover);
}

.rrss-social-list {
    font-size: 0;
    margin: 0 0 60px 0;
    padding: 0;
    width: 100%;
}

.rrss-social-list li {
    display: inline-block;
    margin-right: 4%;
    border: 1px solid #000;
}

.rrss-social-list li a {
    font-family: var(--primary-font);
    font-size: 9px;
    line-height: 15px;
    letter-spacing: 1px;
    color: #000;
    text-transform: uppercase;
    padding: 0;
    height: 65px;
    display: flex;
    place-content: center;
    place-items: center;
    align-content: center;
    align-items: center;
    justify-content: center;
}

.rrss-social-list li img {
    vertical-align: bottom;
    margin-right: 5px;
}

.img-google {
    width: 15px;
    height: auto;
}

.img-facebook {
    width: 9px;
    height: auto;
}

.rrss-social-list li a:hover {
    text-decoration: none;
}

.login-div-derecho .icon-text {
    font-family: var(--primary-font) !important;
    font-size: var(--primary-font-size);
    line-height: 20px;
    letter-spacing: 1.2px;
    color: #000;
    text-transform: uppercase;
    text-align: left;
    padding-left: 40px;
    position: relative;
    margin-bottom: 20px;
    height: 50px;
}

.login-div-derecho .icon-text:last-child {
    margin-bottom: 0;
}

.login-div-derecho .icon-text i {
    position: absolute;
    left: 0px;
}

.login-div-derecho .icon-text .icon-roca-user {
    background: url("../img/professionalprofile-40.svg") no-repeat;
    background-size: cover;
    width: 24px;
    height: 24px;
}

.login-div-derecho .icon-text .icon-profesional {
    background: url("../img/technicalsupport-24.svg") no-repeat;
    background-size: cover;
    width: 24px;
    height: 24px;
}

.login-div-derecho .icon-text a {
    font-family: var(--primary-font);
    font-size: var(--primary-font-size);
    line-height: 15px;
    letter-spacing: 1px;
    color: var(--primary-font-color);
    text-transform: uppercase;
    display: block;
}

.login-div-derecho .icon-text .icon-info {
    background: url("../img/info-18.svg") no-repeat;
    background-size: cover;
    width: 14px;
    height: 14px;
    position: static;
    display: inline-block;
    margin-left: 10px;
}

.login-div-derecho .icon-close {
    position: absolute;
    background: url("../img/cross-24.png") no-repeat;
    height: 24px;
    width: 24px;
    cursor: pointer;
}

#kc-social-providers p:first-child {
    font-family: var(--primary-font);
    font-size: var(--primary-font-size);
    line-height: 18px;
    color: #000;
    text-align: center;
    margin-bottom: 10px;
}

.font-family-helvetica75 {
    font-family: var(--primary-font);
    color: black;
    font-size: 16px;
    font-weight: 500;
    line-height: 26px;
    letter-spacing: 1.9px;
    text-transform: uppercase;
    text-align: left;
}

.font-family-helvetica45 {
    font-family: var(--primary-font);
    font-size: var(--primary-font-size);
    line-height: 18px;
    color: #000;
}

.font-family-helvetica75-little {
    font-family: var(--primary-font);
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 0;
    color: #000000;
    display: inline-block;
    font-weight: 700;
    font-size: 9px;
    letter-spacing: 1px;
    line-height: 15px;
}

.form-group .form-control:focus {
    border-color: var(--primary-border-color) !important;
}

.alert span.pficon {
    margin-right: 20px;
}

.alert span.kc-feedback-text {
    margin-left: 20px;
}

input.form-control {
    border: transparent;
    border-bottom: 1px solid var(--primary-border-color);
}


/* Loader */

#loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    background: #fff;
    opacity: 1;
    transition: opacity 1s;
}

#loader-wrapper.loaded {
    opacity: 0;
    pointer-events: none;
}

.loader {
    display: block;
    position: relative;
    left: 50%;
    top: 50%;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    z-index: 1500;
    border: 3px solid transparent;
    border-top-color: var(--primary-background-color-hover);
    border-radius: 50%;
    /* copy and paste the animation inside all 3 elements */
    /* #loader, #loader:before, #loader:after */
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
    /* include this only once */
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

.loader:before {
    content: "";
    position: absolute;
    top: 5px;
    left: 5px;
    right: 5px;
    bottom: 5px;
    border: 3px solid transparent;
    border-top-color: var(--primary-background-color-hover);
    border-radius: 50%;
    /* copy and paste the animation inside all 3 elements */
    /* #loader, #loader:before, #loader:after */
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
    /* include this only once */
    -webkit-animation: spin 3s linear infinite;
    animation: spin 3s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

.loader:after {
    content: "";
    position: absolute;
    top: 15px;
    left: 15px;
    right: 15px;
    bottom: 15px;
    border: 3px solid transparent;
    border-top-color: var(--primary-background-color-hover);
    border-radius: 50%;
    /* copy and paste the animation inside all 3 elements */
    /* #loader, #loader:before, #loader:after */
    -webkit-animation: spin 1.5s linear infinite;
    animation: spin 1.5s linear infinite;
    /* include this only once */
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(0deg);
        /* Firefox 16+, IE 10+, Opera */
    }
    100% {
        -webkit-transform: rotate(360deg);
        /* Chrome, Opera 15+, Safari 3.1+ */
        /* IE 9 */
        transform: rotate(360deg);
        /* Firefox 16+, IE 10+, Opera */
    }
}


/* --------------------- ESTILOS PERSONALIZADOS ----------------------- */

#kc-form-buttons input {
    font-size: 14px;
}

.login-div-derecho .icon-text {
    font-weight: bold;
}

.roca_header {
    overflow: inherit!important;
}

.main-nav a:hover {
    /* Se añade para que no aparezca un doble subrayado ya que en login.css 
    se fuerza a que los enlaces estén subrayados y el propio estilo del menú,
    ya muestra una línea debajo de la opción*/
    text-decoration: none!important;
}

@media (max-width: 768px) {
    .login-pf-page {
        overflow-x: hidden!important;
        padding: 10px!important;
    }
}

.footer__lists h2 {
    text-align: left!important;
}

#mensaje-error {
    font-size: 1.25rem!important;
}